<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta
            name="viewport"
            content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes"
        />

        <title>slot-element demo</title>

        <script src="../../webcomponentsjs/webcomponents-loader.js"></script>

        <link rel="import" href="../../iron-demo-helpers/demo-pages-shared-styles.html" />
        <link rel="import" href="../../iron-demo-helpers/demo-snippet.html" />
        <link rel="import" href="../slot-element.html" />

        <custom-style>
            <style is="custom-style" include="demo-pages-shared-styles">
                html {
                    display: block;
                    color: darkblue;
                    font-style: italic;
                    font-family: fantasy;
                }
            </style>
        </custom-style>
    </head>
    <body>
        <div class="vertical-section-container centered">
            <h3>Basic slot-element demo</h3>
            <demo-snippet>
                <template>
                    <slot-element
                        >Dentro del slot
                        <span slot="span1">Mas texto</span>
                        <span slot="span2Clase" class="claseSlotA">Lorem...</span>
                    </slot-element>
                </template>
            </demo-snippet>
        </div>
    </body>
</html>
